QGIS Application - Bug report #8601
sip: QgsFieldValidator:fixup has versioned and unversioned overloads
2013-09-12 12:34 AM - Xavier Fung

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No
Operating System: Linux Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 17343
Description

Compiling trunk with sip 4.15 got this error.

Linking CXX shared library ../output/python/qgis/core.so
[ 90%] Built target python_module_qgis_core
[ 90%)] Generating gui/sipguipart0.cpp, gui/sipguipart1.cpp, gui/sipguipart2.cpp, gui/sipguipart3.cpp

sip: QgsFieldValidator::fixup has versioned and unversioned overloads
make[2]: *** [python/gui/sipguipart0.cpp] Error 1

make[1]: *** [python/CMakeFiles/python_module_qgis_gui.dir/all] Error 2
make: *** [all] Error 2

History

#1 - 2013-09-13 08:43 AM - Drazen Odobasi¢
- File QgsFieldValidator.diff added

Hi, I've experienced the same error on ArchLinux... The attached patch should work for the sip 4.15.1, however due to problems with updated pyqt4

packages, | had to build the latest development snapshot of pyqt (http://www.riverbankcomputing.com/software/pyqt/download) to make qgis-master

compile

#2 - 2013-09-24 01:40 PM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

applied in commit:2301¢914 and commit:6f9795b0b

Files

QgsFieldValidator.diff 818 Bytes 2013-09-13 Drazen Odobasi¢
